Update video
Updates video title, description, status, translations, and visibility. The status can only be changed to active or inactive, and only when the current status is active or inactive, not while the video is still uploading (pending). Deprecated: use PATCH /api/v2/{team_slug}/{app_slug}/dam/videos instead.
PATCH
/api/v1/{team_slug}/{app_slug}/videos/{video_id}deprecatedAuthorization
AuthorizationBearer token · headerrequiredManagement API token, sent as Authorization: Bearer <token>.
Path parameters
app_slugstringrequiredApp slug
team_slugstringrequiredTeam slug
video_idstringrequiredVideo ID
Request body
requiredapplication/jsonVideo data
descriptionstringpublicbooleanstatusstringAllowed:
activeinactivetitlestringmin length 1
translationsinternal_pkg_webserver_v1.UpdateVideoTranslationsShow propertiesHide properties
descriptioninternal_pkg_webserver_v1.VideoTranslationValue[]Show propertiesHide properties
Array of
internal_pkg_webserver_v1.VideoTranslationValuelocalestringrequiredvaluestringtitleinternal_pkg_webserver_v1.VideoTranslationValue[]Show propertiesHide properties
Array of
internal_pkg_webserver_v1.VideoTranslationValuelocalestringrequiredvaluestringResponses
200
Video updated successfully
datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.VideorequiredShow propertiesHide properties
attributesgithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Attributecreated_atstringdescriptionstring | nullfilterableboolean | nullidstringkeystringnamestring | nulltemplate_keystringtemplate_namestringtranslatableboolean | nulltranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]updated_atstring | nullvaluesobject | nulldescriptionstringfolder_idstringidstringpathstringpublicbooleanstatusstringtitlestringtranslationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.VideoTranslationsShow propertiesHide properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.Translationidstringlocalestringvaluestringtitlegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[] | nullvariantsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.VideoVariant[] | nullShow propertiesHide properties
Array of
github_com_enadhq_nabbit_internal_pkg_webserver_models.VideoVariantformatstringheightintegerurlstringwidthintegerdetailsstring[]Additional contextual information about the response. Used to provide supplementary details beyond the main data payload, such as validation warnings or processing notes
successbooleanrequired400
Invalid request
detailsstring[]messagestringsuccessbooleanrequired401
Unauthorized access
detailsstring[]messagestringsuccessbooleanrequired404
Video not found
detailsstring[]messagestringsuccessbooleanrequired500
Internal server error
detailsstring[]messagestringsuccessbooleanrequired